Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network127.144.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
127.144.0.0
Broadcast address
127.159.255.255
First usable
127.144.0.1
Last usable
127.159.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Loopback 127.0.0.0/8
This computer
Old class
A (default /8)
As numbers
Hex 7F900000 · Integer 2140143616 to 2141192191
Reverse DNS zones
144.127.in-addr.arpa
145.127.in-addr.arpa
146.127.in-addr.arpa
147.127.in-addr.arpa
148.127.in-addr.arpa
149.127.in-addr.arpa
150.127.in-addr.arpa
151.127.in-addr.arpa
152.127.in-addr.arpa
153.127.in-addr.arpa
154.127.in-addr.arpa
155.127.in-addr.arpa
156.127.in-addr.arpa
157.127.in-addr.arpa
158.127.in-addr.arpa
159.127.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111111.10010000.00000000.00000000127.144.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network01111111.10010000.00000000.00000000127.144.0.0
Broadcast01111111.10011111.11111111.11111111127.159.255.255
Split into smaller subnets/21

127.144.0.0/12 makes 512 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1127.144.0.0/21127.144.0.1 to 127.144.7.254127.144.7.2552,046
2127.144.8.0/21127.144.8.1 to 127.144.15.254127.144.15.2552,046
3127.144.16.0/21127.144.16.1 to 127.144.23.254127.144.23.2552,046
4127.144.24.0/21127.144.24.1 to 127.144.31.254127.144.31.2552,046
5127.144.32.0/21127.144.32.1 to 127.144.39.254127.144.39.2552,046
6127.144.40.0/21127.144.40.1 to 127.144.47.254127.144.47.2552,046
7127.144.48.0/21127.144.48.1 to 127.144.55.254127.144.55.2552,046
8127.144.56.0/21127.144.56.1 to 127.144.63.254127.144.63.2552,046
9127.144.64.0/21127.144.64.1 to 127.144.71.254127.144.71.2552,046
10127.144.72.0/21127.144.72.1 to 127.144.79.254127.144.79.2552,046
11127.144.80.0/21127.144.80.1 to 127.144.87.254127.144.87.2552,046
12127.144.88.0/21127.144.88.1 to 127.144.95.254127.144.95.2552,046
13127.144.96.0/21127.144.96.1 to 127.144.103.254127.144.103.2552,046
14127.144.104.0/21127.144.104.1 to 127.144.111.254127.144.111.2552,046
15127.144.112.0/21127.144.112.1 to 127.144.119.254127.144.119.2552,046
16127.144.120.0/21127.144.120.1 to 127.144.127.254127.144.127.2552,046
17127.144.128.0/21127.144.128.1 to 127.144.135.254127.144.135.2552,046
18127.144.136.0/21127.144.136.1 to 127.144.143.254127.144.143.2552,046
19127.144.144.0/21127.144.144.1 to 127.144.151.254127.144.151.2552,046
20127.144.152.0/21127.144.152.1 to 127.144.159.254127.144.159.2552,046
21127.144.160.0/21127.144.160.1 to 127.144.167.254127.144.167.2552,046
22127.144.168.0/21127.144.168.1 to 127.144.175.254127.144.175.2552,046
23127.144.176.0/21127.144.176.1 to 127.144.183.254127.144.183.2552,046
24127.144.184.0/21127.144.184.1 to 127.144.191.254127.144.191.2552,046
25127.144.192.0/21127.144.192.1 to 127.144.199.254127.144.199.2552,046
26127.144.200.0/21127.144.200.1 to 127.144.207.254127.144.207.2552,046
27127.144.208.0/21127.144.208.1 to 127.144.215.254127.144.215.2552,046
28127.144.216.0/21127.144.216.1 to 127.144.223.254127.144.223.2552,046
29127.144.224.0/21127.144.224.1 to 127.144.231.254127.144.231.2552,046
30127.144.232.0/21127.144.232.1 to 127.144.239.254127.144.239.2552,046
31127.144.240.0/21127.144.240.1 to 127.144.247.254127.144.247.2552,046
32127.144.248.0/21127.144.248.1 to 127.144.255.254127.144.255.2552,046
33127.145.0.0/21127.145.0.1 to 127.145.7.254127.145.7.2552,046
34127.145.8.0/21127.145.8.1 to 127.145.15.254127.145.15.2552,046
35127.145.16.0/21127.145.16.1 to 127.145.23.254127.145.23.2552,046
36127.145.24.0/21127.145.24.1 to 127.145.31.254127.145.31.2552,046
37127.145.32.0/21127.145.32.1 to 127.145.39.254127.145.39.2552,046
38127.145.40.0/21127.145.40.1 to 127.145.47.254127.145.47.2552,046
39127.145.48.0/21127.145.48.1 to 127.145.55.254127.145.55.2552,046
40127.145.56.0/21127.145.56.1 to 127.145.63.254127.145.63.2552,046
41127.145.64.0/21127.145.64.1 to 127.145.71.254127.145.71.2552,046
42127.145.72.0/21127.145.72.1 to 127.145.79.254127.145.79.2552,046
43127.145.80.0/21127.145.80.1 to 127.145.87.254127.145.87.2552,046
44127.145.88.0/21127.145.88.1 to 127.145.95.254127.145.95.2552,046
45127.145.96.0/21127.145.96.1 to 127.145.103.254127.145.103.2552,046
46127.145.104.0/21127.145.104.1 to 127.145.111.254127.145.111.2552,046
47127.145.112.0/21127.145.112.1 to 127.145.119.254127.145.119.2552,046
48127.145.120.0/21127.145.120.1 to 127.145.127.254127.145.127.2552,046
49127.145.128.0/21127.145.128.1 to 127.145.135.254127.145.135.2552,046
50127.145.136.0/21127.145.136.1 to 127.145.143.254127.145.143.2552,046
51127.145.144.0/21127.145.144.1 to 127.145.151.254127.145.151.2552,046
52127.145.152.0/21127.145.152.1 to 127.145.159.254127.145.159.2552,046
53127.145.160.0/21127.145.160.1 to 127.145.167.254127.145.167.2552,046
54127.145.168.0/21127.145.168.1 to 127.145.175.254127.145.175.2552,046
55127.145.176.0/21127.145.176.1 to 127.145.183.254127.145.183.2552,046
56127.145.184.0/21127.145.184.1 to 127.145.191.254127.145.191.2552,046
57127.145.192.0/21127.145.192.1 to 127.145.199.254127.145.199.2552,046
58127.145.200.0/21127.145.200.1 to 127.145.207.254127.145.207.2552,046
59127.145.208.0/21127.145.208.1 to 127.145.215.254127.145.215.2552,046
60127.145.216.0/21127.145.216.1 to 127.145.223.254127.145.223.2552,046
61127.145.224.0/21127.145.224.1 to 127.145.231.254127.145.231.2552,046
62127.145.232.0/21127.145.232.1 to 127.145.239.254127.145.239.2552,046
63127.145.240.0/21127.145.240.1 to 127.145.247.254127.145.247.2552,046
64127.145.248.0/21127.145.248.1 to 127.145.255.254127.145.255.2552,046
65127.146.0.0/21127.146.0.1 to 127.146.7.254127.146.7.2552,046
66127.146.8.0/21127.146.8.1 to 127.146.15.254127.146.15.2552,046
67127.146.16.0/21127.146.16.1 to 127.146.23.254127.146.23.2552,046
68127.146.24.0/21127.146.24.1 to 127.146.31.254127.146.31.2552,046
69127.146.32.0/21127.146.32.1 to 127.146.39.254127.146.39.2552,046
70127.146.40.0/21127.146.40.1 to 127.146.47.254127.146.47.2552,046
71127.146.48.0/21127.146.48.1 to 127.146.55.254127.146.55.2552,046
72127.146.56.0/21127.146.56.1 to 127.146.63.254127.146.63.2552,046
73127.146.64.0/21127.146.64.1 to 127.146.71.254127.146.71.2552,046
74127.146.72.0/21127.146.72.1 to 127.146.79.254127.146.79.2552,046
75127.146.80.0/21127.146.80.1 to 127.146.87.254127.146.87.2552,046
76127.146.88.0/21127.146.88.1 to 127.146.95.254127.146.95.2552,046
77127.146.96.0/21127.146.96.1 to 127.146.103.254127.146.103.2552,046
78127.146.104.0/21127.146.104.1 to 127.146.111.254127.146.111.2552,046
79127.146.112.0/21127.146.112.1 to 127.146.119.254127.146.119.2552,046
80127.146.120.0/21127.146.120.1 to 127.146.127.254127.146.127.2552,046
81127.146.128.0/21127.146.128.1 to 127.146.135.254127.146.135.2552,046
82127.146.136.0/21127.146.136.1 to 127.146.143.254127.146.143.2552,046
83127.146.144.0/21127.146.144.1 to 127.146.151.254127.146.151.2552,046
84127.146.152.0/21127.146.152.1 to 127.146.159.254127.146.159.2552,046
85127.146.160.0/21127.146.160.1 to 127.146.167.254127.146.167.2552,046
86127.146.168.0/21127.146.168.1 to 127.146.175.254127.146.175.2552,046
87127.146.176.0/21127.146.176.1 to 127.146.183.254127.146.183.2552,046
88127.146.184.0/21127.146.184.1 to 127.146.191.254127.146.191.2552,046
89127.146.192.0/21127.146.192.1 to 127.146.199.254127.146.199.2552,046
90127.146.200.0/21127.146.200.1 to 127.146.207.254127.146.207.2552,046
91127.146.208.0/21127.146.208.1 to 127.146.215.254127.146.215.2552,046
92127.146.216.0/21127.146.216.1 to 127.146.223.254127.146.223.2552,046
93127.146.224.0/21127.146.224.1 to 127.146.231.254127.146.231.2552,046
94127.146.232.0/21127.146.232.1 to 127.146.239.254127.146.239.2552,046
95127.146.240.0/21127.146.240.1 to 127.146.247.254127.146.247.2552,046
96127.146.248.0/21127.146.248.1 to 127.146.255.254127.146.255.2552,046
97127.147.0.0/21127.147.0.1 to 127.147.7.254127.147.7.2552,046
98127.147.8.0/21127.147.8.1 to 127.147.15.254127.147.15.2552,046
99127.147.16.0/21127.147.16.1 to 127.147.23.254127.147.23.2552,046
100127.147.24.0/21127.147.24.1 to 127.147.31.254127.147.31.2552,046
101127.147.32.0/21127.147.32.1 to 127.147.39.254127.147.39.2552,046
102127.147.40.0/21127.147.40.1 to 127.147.47.254127.147.47.2552,046
103127.147.48.0/21127.147.48.1 to 127.147.55.254127.147.55.2552,046
104127.147.56.0/21127.147.56.1 to 127.147.63.254127.147.63.2552,046
105127.147.64.0/21127.147.64.1 to 127.147.71.254127.147.71.2552,046
106127.147.72.0/21127.147.72.1 to 127.147.79.254127.147.79.2552,046
107127.147.80.0/21127.147.80.1 to 127.147.87.254127.147.87.2552,046
108127.147.88.0/21127.147.88.1 to 127.147.95.254127.147.95.2552,046
109127.147.96.0/21127.147.96.1 to 127.147.103.254127.147.103.2552,046
110127.147.104.0/21127.147.104.1 to 127.147.111.254127.147.111.2552,046
111127.147.112.0/21127.147.112.1 to 127.147.119.254127.147.119.2552,046
112127.147.120.0/21127.147.120.1 to 127.147.127.254127.147.127.2552,046
113127.147.128.0/21127.147.128.1 to 127.147.135.254127.147.135.2552,046
114127.147.136.0/21127.147.136.1 to 127.147.143.254127.147.143.2552,046
115127.147.144.0/21127.147.144.1 to 127.147.151.254127.147.151.2552,046
116127.147.152.0/21127.147.152.1 to 127.147.159.254127.147.159.2552,046
117127.147.160.0/21127.147.160.1 to 127.147.167.254127.147.167.2552,046
118127.147.168.0/21127.147.168.1 to 127.147.175.254127.147.175.2552,046
119127.147.176.0/21127.147.176.1 to 127.147.183.254127.147.183.2552,046
120127.147.184.0/21127.147.184.1 to 127.147.191.254127.147.191.2552,046
121127.147.192.0/21127.147.192.1 to 127.147.199.254127.147.199.2552,046
122127.147.200.0/21127.147.200.1 to 127.147.207.254127.147.207.2552,046
123127.147.208.0/21127.147.208.1 to 127.147.215.254127.147.215.2552,046
124127.147.216.0/21127.147.216.1 to 127.147.223.254127.147.223.2552,046
125127.147.224.0/21127.147.224.1 to 127.147.231.254127.147.231.2552,046
126127.147.232.0/21127.147.232.1 to 127.147.239.254127.147.239.2552,046
127127.147.240.0/21127.147.240.1 to 127.147.247.254127.147.247.2552,046
128127.147.248.0/21127.147.248.1 to 127.147.255.254127.147.255.2552,046
129127.148.0.0/21127.148.0.1 to 127.148.7.254127.148.7.2552,046
130127.148.8.0/21127.148.8.1 to 127.148.15.254127.148.15.2552,046
131127.148.16.0/21127.148.16.1 to 127.148.23.254127.148.23.2552,046
132127.148.24.0/21127.148.24.1 to 127.148.31.254127.148.31.2552,046
133127.148.32.0/21127.148.32.1 to 127.148.39.254127.148.39.2552,046
134127.148.40.0/21127.148.40.1 to 127.148.47.254127.148.47.2552,046
135127.148.48.0/21127.148.48.1 to 127.148.55.254127.148.55.2552,046
136127.148.56.0/21127.148.56.1 to 127.148.63.254127.148.63.2552,046
137127.148.64.0/21127.148.64.1 to 127.148.71.254127.148.71.2552,046
138127.148.72.0/21127.148.72.1 to 127.148.79.254127.148.79.2552,046
139127.148.80.0/21127.148.80.1 to 127.148.87.254127.148.87.2552,046
140127.148.88.0/21127.148.88.1 to 127.148.95.254127.148.95.2552,046
141127.148.96.0/21127.148.96.1 to 127.148.103.254127.148.103.2552,046
142127.148.104.0/21127.148.104.1 to 127.148.111.254127.148.111.2552,046
143127.148.112.0/21127.148.112.1 to 127.148.119.254127.148.119.2552,046
144127.148.120.0/21127.148.120.1 to 127.148.127.254127.148.127.2552,046
145127.148.128.0/21127.148.128.1 to 127.148.135.254127.148.135.2552,046
146127.148.136.0/21127.148.136.1 to 127.148.143.254127.148.143.2552,046
147127.148.144.0/21127.148.144.1 to 127.148.151.254127.148.151.2552,046
148127.148.152.0/21127.148.152.1 to 127.148.159.254127.148.159.2552,046
149127.148.160.0/21127.148.160.1 to 127.148.167.254127.148.167.2552,046
150127.148.168.0/21127.148.168.1 to 127.148.175.254127.148.175.2552,046
151127.148.176.0/21127.148.176.1 to 127.148.183.254127.148.183.2552,046
152127.148.184.0/21127.148.184.1 to 127.148.191.254127.148.191.2552,046
153127.148.192.0/21127.148.192.1 to 127.148.199.254127.148.199.2552,046
154127.148.200.0/21127.148.200.1 to 127.148.207.254127.148.207.2552,046
155127.148.208.0/21127.148.208.1 to 127.148.215.254127.148.215.2552,046
156127.148.216.0/21127.148.216.1 to 127.148.223.254127.148.223.2552,046
157127.148.224.0/21127.148.224.1 to 127.148.231.254127.148.231.2552,046
158127.148.232.0/21127.148.232.1 to 127.148.239.254127.148.239.2552,046
159127.148.240.0/21127.148.240.1 to 127.148.247.254127.148.247.2552,046
160127.148.248.0/21127.148.248.1 to 127.148.255.254127.148.255.2552,046
161127.149.0.0/21127.149.0.1 to 127.149.7.254127.149.7.2552,046
162127.149.8.0/21127.149.8.1 to 127.149.15.254127.149.15.2552,046
163127.149.16.0/21127.149.16.1 to 127.149.23.254127.149.23.2552,046
164127.149.24.0/21127.149.24.1 to 127.149.31.254127.149.31.2552,046
165127.149.32.0/21127.149.32.1 to 127.149.39.254127.149.39.2552,046
166127.149.40.0/21127.149.40.1 to 127.149.47.254127.149.47.2552,046
167127.149.48.0/21127.149.48.1 to 127.149.55.254127.149.55.2552,046
168127.149.56.0/21127.149.56.1 to 127.149.63.254127.149.63.2552,046
169127.149.64.0/21127.149.64.1 to 127.149.71.254127.149.71.2552,046
170127.149.72.0/21127.149.72.1 to 127.149.79.254127.149.79.2552,046
171127.149.80.0/21127.149.80.1 to 127.149.87.254127.149.87.2552,046
172127.149.88.0/21127.149.88.1 to 127.149.95.254127.149.95.2552,046
173127.149.96.0/21127.149.96.1 to 127.149.103.254127.149.103.2552,046
174127.149.104.0/21127.149.104.1 to 127.149.111.254127.149.111.2552,046
175127.149.112.0/21127.149.112.1 to 127.149.119.254127.149.119.2552,046
176127.149.120.0/21127.149.120.1 to 127.149.127.254127.149.127.2552,046
177127.149.128.0/21127.149.128.1 to 127.149.135.254127.149.135.2552,046
178127.149.136.0/21127.149.136.1 to 127.149.143.254127.149.143.2552,046
179127.149.144.0/21127.149.144.1 to 127.149.151.254127.149.151.2552,046
180127.149.152.0/21127.149.152.1 to 127.149.159.254127.149.159.2552,046
181127.149.160.0/21127.149.160.1 to 127.149.167.254127.149.167.2552,046
182127.149.168.0/21127.149.168.1 to 127.149.175.254127.149.175.2552,046
183127.149.176.0/21127.149.176.1 to 127.149.183.254127.149.183.2552,046
184127.149.184.0/21127.149.184.1 to 127.149.191.254127.149.191.2552,046
185127.149.192.0/21127.149.192.1 to 127.149.199.254127.149.199.2552,046
186127.149.200.0/21127.149.200.1 to 127.149.207.254127.149.207.2552,046
187127.149.208.0/21127.149.208.1 to 127.149.215.254127.149.215.2552,046
188127.149.216.0/21127.149.216.1 to 127.149.223.254127.149.223.2552,046
189127.149.224.0/21127.149.224.1 to 127.149.231.254127.149.231.2552,046
190127.149.232.0/21127.149.232.1 to 127.149.239.254127.149.239.2552,046
191127.149.240.0/21127.149.240.1 to 127.149.247.254127.149.247.2552,046
192127.149.248.0/21127.149.248.1 to 127.149.255.254127.149.255.2552,046
193127.150.0.0/21127.150.0.1 to 127.150.7.254127.150.7.2552,046
194127.150.8.0/21127.150.8.1 to 127.150.15.254127.150.15.2552,046
195127.150.16.0/21127.150.16.1 to 127.150.23.254127.150.23.2552,046
196127.150.24.0/21127.150.24.1 to 127.150.31.254127.150.31.2552,046
197127.150.32.0/21127.150.32.1 to 127.150.39.254127.150.39.2552,046
198127.150.40.0/21127.150.40.1 to 127.150.47.254127.150.47.2552,046
199127.150.48.0/21127.150.48.1 to 127.150.55.254127.150.55.2552,046
200127.150.56.0/21127.150.56.1 to 127.150.63.254127.150.63.2552,046
201127.150.64.0/21127.150.64.1 to 127.150.71.254127.150.71.2552,046
202127.150.72.0/21127.150.72.1 to 127.150.79.254127.150.79.2552,046
203127.150.80.0/21127.150.80.1 to 127.150.87.254127.150.87.2552,046
204127.150.88.0/21127.150.88.1 to 127.150.95.254127.150.95.2552,046
205127.150.96.0/21127.150.96.1 to 127.150.103.254127.150.103.2552,046
206127.150.104.0/21127.150.104.1 to 127.150.111.254127.150.111.2552,046
207127.150.112.0/21127.150.112.1 to 127.150.119.254127.150.119.2552,046
208127.150.120.0/21127.150.120.1 to 127.150.127.254127.150.127.2552,046
209127.150.128.0/21127.150.128.1 to 127.150.135.254127.150.135.2552,046
210127.150.136.0/21127.150.136.1 to 127.150.143.254127.150.143.2552,046
211127.150.144.0/21127.150.144.1 to 127.150.151.254127.150.151.2552,046
212127.150.152.0/21127.150.152.1 to 127.150.159.254127.150.159.2552,046
213127.150.160.0/21127.150.160.1 to 127.150.167.254127.150.167.2552,046
214127.150.168.0/21127.150.168.1 to 127.150.175.254127.150.175.2552,046
215127.150.176.0/21127.150.176.1 to 127.150.183.254127.150.183.2552,046
216127.150.184.0/21127.150.184.1 to 127.150.191.254127.150.191.2552,046
217127.150.192.0/21127.150.192.1 to 127.150.199.254127.150.199.2552,046
218127.150.200.0/21127.150.200.1 to 127.150.207.254127.150.207.2552,046
219127.150.208.0/21127.150.208.1 to 127.150.215.254127.150.215.2552,046
220127.150.216.0/21127.150.216.1 to 127.150.223.254127.150.223.2552,046
221127.150.224.0/21127.150.224.1 to 127.150.231.254127.150.231.2552,046
222127.150.232.0/21127.150.232.1 to 127.150.239.254127.150.239.2552,046
223127.150.240.0/21127.150.240.1 to 127.150.247.254127.150.247.2552,046
224127.150.248.0/21127.150.248.1 to 127.150.255.254127.150.255.2552,046
225127.151.0.0/21127.151.0.1 to 127.151.7.254127.151.7.2552,046
226127.151.8.0/21127.151.8.1 to 127.151.15.254127.151.15.2552,046
227127.151.16.0/21127.151.16.1 to 127.151.23.254127.151.23.2552,046
228127.151.24.0/21127.151.24.1 to 127.151.31.254127.151.31.2552,046
229127.151.32.0/21127.151.32.1 to 127.151.39.254127.151.39.2552,046
230127.151.40.0/21127.151.40.1 to 127.151.47.254127.151.47.2552,046
231127.151.48.0/21127.151.48.1 to 127.151.55.254127.151.55.2552,046
232127.151.56.0/21127.151.56.1 to 127.151.63.254127.151.63.2552,046
233127.151.64.0/21127.151.64.1 to 127.151.71.254127.151.71.2552,046
234127.151.72.0/21127.151.72.1 to 127.151.79.254127.151.79.2552,046
235127.151.80.0/21127.151.80.1 to 127.151.87.254127.151.87.2552,046
236127.151.88.0/21127.151.88.1 to 127.151.95.254127.151.95.2552,046
237127.151.96.0/21127.151.96.1 to 127.151.103.254127.151.103.2552,046
238127.151.104.0/21127.151.104.1 to 127.151.111.254127.151.111.2552,046
239127.151.112.0/21127.151.112.1 to 127.151.119.254127.151.119.2552,046
240127.151.120.0/21127.151.120.1 to 127.151.127.254127.151.127.2552,046
241127.151.128.0/21127.151.128.1 to 127.151.135.254127.151.135.2552,046
242127.151.136.0/21127.151.136.1 to 127.151.143.254127.151.143.2552,046
243127.151.144.0/21127.151.144.1 to 127.151.151.254127.151.151.2552,046
244127.151.152.0/21127.151.152.1 to 127.151.159.254127.151.159.2552,046
245127.151.160.0/21127.151.160.1 to 127.151.167.254127.151.167.2552,046
246127.151.168.0/21127.151.168.1 to 127.151.175.254127.151.175.2552,046
247127.151.176.0/21127.151.176.1 to 127.151.183.254127.151.183.2552,046
248127.151.184.0/21127.151.184.1 to 127.151.191.254127.151.191.2552,046
249127.151.192.0/21127.151.192.1 to 127.151.199.254127.151.199.2552,046
250127.151.200.0/21127.151.200.1 to 127.151.207.254127.151.207.2552,046
251127.151.208.0/21127.151.208.1 to 127.151.215.254127.151.215.2552,046
252127.151.216.0/21127.151.216.1 to 127.151.223.254127.151.223.2552,046
253127.151.224.0/21127.151.224.1 to 127.151.231.254127.151.231.2552,046
254127.151.232.0/21127.151.232.1 to 127.151.239.254127.151.239.2552,046
255127.151.240.0/21127.151.240.1 to 127.151.247.254127.151.247.2552,046
256127.151.248.0/21127.151.248.1 to 127.151.255.254127.151.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses